<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>physicallayer/numreg.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">physicallayer/numreg.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    Crystal Space Entity Layer</span>
<a name="l00003"></a>00003 <span class="comment">    Copyright (C) 2001-2004 by Jorrit Tyberghein</span>
<a name="l00004"></a>00004 <span class="comment">  </span>
<a name="l00005"></a>00005 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00007"></a>00007 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00008"></a>00008 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment">  </span>
<a name="l00010"></a>00010 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00013"></a>00013 <span class="comment">    Library General Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment">  </span>
<a name="l00015"></a>00015 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00016"></a>00016 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00017"></a>00017 <span class="comment">    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, </span>
<a name="l00018"></a>00018 <span class="comment">    MA 02111-1307, USA.</span>
<a name="l00019"></a>00019 <span class="comment">*/</span>
<a name="l00020"></a>00020 <span class="preprocessor">#ifndef PHYSICALLAYER_NUMREG_H</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define PHYSICALLAYER_NUMREG_H</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span>
<a name="l00023"></a>00023 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/scf_8h.html">csutil/scf.h</a>&quot;</span>
<a name="l00024"></a>00024 
<a name="l00041"></a><a class="code" href="structiNumReg.html">00041</a> <span class="keyword">struct </span><a class="code" href="structiNumReg.html" title="This interface is used for ID -&gt; iCelEntity* registers in the physical layer.">iNumReg</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00042"></a>00042 {
<a name="l00043"></a>00043   SCF_INTERFACE(<a class="code" href="structiNumReg.html" title="This interface is used for ID -&gt; iCelEntity* registers in the physical layer.">iNumReg</a>, 0, 0, 1);
<a name="l00044"></a>00044 
<a name="l00049"></a>00049   <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga91ad9478d81a7aaf2593e8d9c3d06a14">uint</a> <a class="code" href="structiNumReg.html#a7bae6564611f85cd8cf64c2117f7b501" title="Registers an object in the registry and returns the new ID, in error case ID 0 is returned...">Register</a> (<span class="keywordtype">void</span> *obj) = 0;
<a name="l00050"></a>00050 
<a name="l00056"></a>00056   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiNumReg.html#a2a6bb44a69c6ea49a4d9a0139791782d" title="Registers an object in the registry with the provided ID.">RegisterWithID</a> (<span class="keywordtype">void</span> *obj, <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga91ad9478d81a7aaf2593e8d9c3d06a14">uint</a> <span class="keywordtype">id</span>) = 0;
<a name="l00057"></a>00057 
<a name="l00061"></a>00061   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiNumReg.html#a97ac47fa228d0b651c383c810520db71" title="Removes a registered object from the registry.">Remove</a> (<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga91ad9478d81a7aaf2593e8d9c3d06a14">uint</a> <span class="keywordtype">id</span>) = 0;
<a name="l00062"></a>00062 
<a name="l00067"></a>00067   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiNumReg.html#a97ac47fa228d0b651c383c810520db71" title="Removes a registered object from the registry.">Remove</a> (<span class="keywordtype">void</span> *obj) = 0;
<a name="l00068"></a>00068 
<a name="l00072"></a>00072   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiNumReg.html#ac58de74c1a716b2cba13a917ef59f2b6" title="Removes all objects from the registry.">Clear</a> () = 0;
<a name="l00073"></a>00073 
<a name="l00077"></a>00077   <span class="keyword">virtual</span> <span class="keywordtype">void</span>* <a class="code" href="structiNumReg.html#a942fda5440db2b741bdf36452398c72c" title="Returns the object with ID id from the list.">Get</a> (<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga91ad9478d81a7aaf2593e8d9c3d06a14">uint</a> <span class="keywordtype">id</span>) = 0;
<a name="l00078"></a>00078 
<a name="l00084"></a>00084   <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> <a class="code" href="structiNumReg.html#a6035c209f6f13e3ebd585fee71a2de17" title="Returns the size of the buffer (This is NOT the count of objects in the registry).">GetSize</a>() = 0;
<a name="l00085"></a>00085 };
<a name="l00086"></a>00086 
<a name="l00087"></a>00087 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
